# Crypto Whale Transactions `GET` `https://api.unusualwhales.com/api/crypto/whale-transactions` Returns recent whale transactions. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `amount_formatted` | string | | | `blockchain` | string | | | `from_address` | string | | | `id` | integer | | | `timestamp` | string | | | `to_address` | string | | | `token_name` | string | | | `token_symbol` | string | | | `transaction_hash` | string | | | `transaction_type` | string | | | `usd_value` | string | | | `whale_score` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/crypto/whale-transactions" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/crypto/whale-transactions", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "amount_formatted": "9999.00", "blockchain": "ethereum", "from_address": "0x1234567890abcdef1234567890abcdef12345678", "id": 1, "timestamp": "2026-07-29T12:34:56Z" } ] } ```